#ifndef BP_LIB_CONSOLE_H
#define BP_LIB_CONSOLE_H
#include <Uefi.h>
#include "Uefi/UefiBaseType.h"
#include "disk.h"
#include "font.h"
typedef struct {
  CHAR16* password;
  UINTN size;
} bp_console_PASSWORD;
VOID bp_console_print_file(bp_disk_FILE *file);
EFI_STATUS bp_console_read_password(CHAR16 *prompt,bp_console_PASSWORD **pwd,CHAR16 hiding_char);
#endif
